package schet

type УСН_type struct {
	квартал *Квартал
	сделано bool
}

func NewУСН_type(квартал *Квартал) *УСН_type {
	o := &УСН_type{
		квартал: квартал,
	}
	return o
}

func (o *УСН_type) Сумма() float64 {
	d := o.квартал.Доход()
	procent := d / 100.
	return 4 * procent
}

func (o *УСН_type) Сделать() error {
	o.сделано = true
	return nil
}
func (o *УСН_type) Сделано() bool {
	return o.сделано
}
